<template>
  <b-container class="console">
    <b-row>
      <b-col class="menu" cols="3">
        <Menu />
      </b-col>
      <b-col cols="9">
        <div class="content">
          <NewTask v-if="currentPage === PAGE_NEW_TASK" />
          <CurrentTask v-else-if="currentPage === PAGE_CURRENT_TASK" />
          <Tasks v-else />
        </div>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import Menu from './Menu'
import NewTask from './NewTask'
import Tasks from './Tasks'
import CurrentTask from './CurrentTask'

import { PAGE_CURRENT_TASK, PAGE_NEW_TASK, PAGE_ACTIVE_TASK,
  PAGE_DONE_TASK, PAGE_SELF_TASK } from '../data/actions-types'

export default {
  name: 'Console',
  data () {
    return {
      PAGE_NEW_TASK: PAGE_NEW_TASK,
      PAGE_ACTIVE_TASK: PAGE_ACTIVE_TASK,
      PAGE_DONE_TASK: PAGE_DONE_TASK,
      PAGE_SELF_TASK: PAGE_SELF_TASK,
      PAGE_CURRENT_TASK: PAGE_CURRENT_TASK
    }
  },
  components: {
    Menu,
    NewTask,
    Tasks,
    CurrentTask
  },
  computed: {
    currentPage () {
      return this.$store.state.config.activeLink
    }
  }
}
</script>

<style>
.console {
  flex-grow: 2;
  max-width: 1300px;
}

.menu {
  padding: 10% 0 0;
}
.content {
  padding: 5% 18%;
  text-align: left;
}
</style>
